/*
	ConnectMore project

	by Walaber

	CLASS: UserCrosshair - simple class for the user crosshair object (for aiming)
*/

#ifndef _USERCROSSHAIR_INCLUDED_
#define _USERCROSSHAIR_INCLUDED_

#include "Prereqs.h"
#include "HelperFunctions.h"
#include <DarkSDK.h>



class UserCrosshair
{
public:

	// overloaded constructor
	UserCrosshair( char* filename1, char* filename2, dVector pos, dVector min, dVector max );

	// destructor
	~UserCrosshair();

	dVector getPosition();
	void setPosition( dVector newpos );

	// animation update
	void update( float timeStep );

	// --------------------
	// variables
	int mObjNum1;
	int mObjNum2;

private:

	dVector mMin;
	dVector mMax;
};


#endif // _USERCROSSHAIR_INCLUDED_


